lists

# Class: lamListOption

Source Location: /lib/lists.inc

### Class Overview

Represents a list configuration option.

#### Author(s):

- Roland Gruber

### Methods

- __construct
- fillFromPostData
- getID
- getMetaHTML
- getValue
- setValue

### Child classes:

lamBooleanListOption
  Boolean option for list configuration.

lamSelectListOption
  Boolean option for list configuration.

### Class Details

[line 993]
Represents a list configuration option.

#### Tags:

author: | Roland Gruber
abstract: |

[ Top ]

### Class Methods

### constructor __construct [line 1005]

`lamConfigOption __construct( String $ID)`

Creates a new config option.

#### Tags:

return: | config option
access: | public

Overridden in child classes as:

lamBooleanListOption::__construct()
  Creates a new boolean option.

lamSelectListOption::__construct()
  Creates a new selection list option.

#### Parameters:

String | $ID | unique ID

[ Top ]

### method fillFromPostData [line 1023]

`array fillFromPostData( )`

Fills the config option from POST data.

#### Tags:

return: | list of StatusMessages (array(<type>, <head line>, <body>))
abstract: |
access: | public

Overridden in child classes as:

lamBooleanListOption::fillFromPostData()
  Fills the config option from POST data.

lamSelectListOption::fillFromPostData()
  Fills the config option from POST data.

[ Top ]

### method getID [line 1014]

`String getID( )`

Returns the option ID.

#### Tags:

return: | ID
access: | public

[ Top ]

### method getMetaHTML [line 1051]

`array getMetaHTML( )`

Returns the meta HTML data to display this option.

#### Tags:

return: | meta HTML
abstract: |
access: | public

Overridden in child classes as:

lamBooleanListOption::getMetaHTML()
  Returns the meta HTML data to display this option.

lamSelectListOption::getMetaHTML()
  Returns the meta HTML data to display this option.

[ Top ]

### method getValue [line 1030]

`String getValue( )`

Returns the option value. The value must not contain "=" and ";".

#### Tags:

return: | value
access: | public

[ Top ]

### method setValue [line 1039]

`void setValue( String $value)`

Sets the config option value. The value must not contain "=" and ";".

#### Tags:

access: | public

#### Parameters:

String | $value |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:01 +0200 by phpDocumentor 1.4.1